/*
 * Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
 *
 * SPDX-License-Identifier: MPL-2.0
 */

@import '../../../../../style/plateg-cockpit-variables.less';
.logout-timer-wrapper {
  position: relative;
  white-space: nowrap;
}

.logout-timer-button {
  margin-left: 16px;
  .logout-timer {
    font-size: 1.4rem;
    display: inline-block;
  }
  color: #fff;
  background-color: transparent !important;
  border-color: transparent !important;
  width: auto;
  height: auto;
  padding: 3px;
  svg {
    margin-left: 11px;
    vertical-align: top;
  }
  &:focus {
    border-color: transparent !important;
    outline: 1px dotted white !important;
    transition: inherit;
  }
  &:hover {
    outline: 1px solid white !important;
    outline-offset: 2px;
    transition: inherit;
  }
  &.active {
    svg {
      transform: rotate(180deg);
    }
  }
}
.logout-timer-menu {
  border: 1px solid #fff;
  background-color: #fff;
  padding: 12px;
  padding-top: 8px;
  padding-bottom: 4px;
  position: fixed;
  top: @cockpit-header-height;
  right: 100px;
  box-shadow: 0px 2px 8px #00000026;
  min-width: 300px;
  .user-menu {
    @media screen and (max-width: 783px) {
      position: static !important;
      height: auto !important;
      width: auto !important;
    }
  }
}
